import setuptools

with open("README.md", "r") as fh:
    long_description = fh.read()

setuptools.setup(
    name="ukd_vertica_loader",
    version="0.0.12",
    author="Pavel Zakharov",
    author_email="zaharov.paul@gmail.com",
    description="library for downloading csv/xls into vertica",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/darthskotina/vertica_loader",
    # packages=setuptools.find_packages(),
    packages=['ukd_vertica_loader'],
    package_data={'ukd_vertica_loader': ['connections.json', 'VerticaLoaderConf.json']},
    py_modules={'ukd_vertica_loader': ['verticaLoader.py', 'verticaLoaderSQLs.py', 'blocker.py', 'fileHandler.py', 'ddlWriter.py', 'dataInput.py']},
    install_requires=['vertica-python',
                      'xlrd',
                      'pandas',
                      'tinydb'],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
)
