# coding=utf8
from tinydb import TinyDB, Query

class blocker:
    """
    Класс работы с файлами для загрузки
    """
    db  = ''

    def __init__(self, path = 'db.json'):
        self.db = TinyDB(path)

    def block_file(self, filename, mask):
        self.db.insert({'file': filename, 'mask': mask})

    def is_blocked(self, filename):
        ret = False
        file = Query()
        if len(self.db.search(file.file == filename)) > 0:
            ret = True
        return  ret

    def is_blocked_by_mask(self, mask):
        ret = False
        file = Query()
        if len(self.db.search(file.mask == mask)) > 0:
            ret = True
        return  ret

    def clean(self):
        self.db.purge()

    def free_file(self, filename):
        file = Query()
        self.db.remove(file.file ==  filename)

    def free_by_mask(self, mask):
        file = Query()
        self.db.remove(file.mask == mask)