# coding=utf8
import os
import sys
# import verticaLoader as vif
from ukd_vertica_loader import verticaLoader as vif


sys.path.append(os.path.dirname(__file__))

def AirVerticaLoad():
    """ В Функцию передается объект Connection из AirFlow
    и название таргетенговой таблицы.
    Объект Connection можно получить в DAGе, пример:
    from airflow.hooks.base_hook import BaseHook

    conn = BaseHook.get_connection(conn_id)
    """

    connections = {"connections": {
        "host": "s001cd-db-vr01.dev002.local",
        "db": "devdb",
        "userType": "explicit",
        "user": "zakharovpp",
        "passwordType": "explicit",
        "password": "",
        "passwordEncryption": 1,
        "db_type": "vertica",
        "rejected_table_name": "STG_VERTICA_LOADER.REJ_DATA",
        "source_name": "cloud"
    },
    "common": {
        "log_dir": "/Users/dio/Downloads",
        "temp_dir": "/Users/dio/Downloads",
        "paths": {"1": {"path": "/Users/dio/Downloads/vertica_loader/num_test",
                        "data_path": "/Users/dio/Downloads/vertica_loader/num_test",
                        "fmd_path": "/Users/dio/Downloads/vertica_loader/num_test"},
                  "2": {"path": "/Users/dio/Downloads/vertica_loader/counterparty",
                        "data_path": "/Users/dio/Downloads/vertica_loader/counterparty",
                        "fmd_path": "/Users/dio/Downloads/vertica_loader/counterparty"}}
    }}

    with vif.verticaLoader(connections=connections) as v:
        # Загрузка в таблицы STG
        # Таблицы пересоздаются и наполняются заново каждую загрузку
        v.loadStage()


def main():
    AirVerticaLoad()
main()