# coding=utf8
SQL = {
    'GET_CONSTR':
    """SELECT COLUMN_NAME FROM v_catalog.CONSTRAINT_COLUMNS
        WHERE table_schema = '{schema}'
        AND table_name = '{table}'
        AND constraint_type = 'p'
    """,
    'GET_COLS':
    """SELECT COLUMN_NAME
        FROM COLUMNS
        WHERE TABLE_SCHEMA = '{schema}'
        AND TABLE_NAME = '{table}'
        AND COLUMN_SET_USING = ''
        ORDER BY ORDINAL_POSITION
    """,
    'GET_SEGMENTATION':
    """SELECT DISTINCT SEGMENT_EXPRESSION
        FROM PROJECTIONS
        WHERE ANCHOR_TABLE_NAME = '{table}'
            AND PROJECTION_SCHEMA = '{schema}'
            AND IS_SUPER_PROJECTION
        LIMIT 1
    """,
    'GET_SORT_ORDER':
    """SELECT PC.TABLE_COLUMN_NAME
        FROM
         PROJECTION_COLUMNS PC
        WHERE
            PC.SORT_POSITION >= 0
            AND PROJECTION_ID IN  (
                SELECT PROJECTION_ID
                FROM PROJECTIONS P
                WHERE P.ANCHOR_TABLE_NAME = '{table}'
                    AND P.PROJECTION_SCHEMA = '{schema}'
                LIMIT 1
            )
        ORDER BY PC.SORT_POSITION
    """,
    'CREATE_TEMP_TABLE':
    """CREATE LOCAL TEMP TABLE {temptable}
            ON COMMIT PRESERVE ROWS
        AS SELECT * FROM {schema}.{table} where 0=1
        ORDER by {orderClause}
        {segmClause} ALL NODES
    """,
    'MERGE_TABLES':
    """MERGE
        INTO {targetTable} t
        USING {incTable} i
        ON ({joinPKcond})
        WHEN MATCHED THEN UPDATE SET
            {updateClause}
        WHEN NOT MATCHED THEN INSERT ({colsCommaSep})
            VALUES ({icolsCommaSep})
    """
}